Bitcoin Rainbow Chart

Logarithmic growth curve depicting long-term Bitcoin price movements using colored bands

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/metrics/rainbow/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each metric is fetched independently. Responses are trimmed samples to show structure.

8 metrics
Metric

Very Undervalued

Data used by the Bitcoin Rainbow Chart chart.

Endpoint
https://newhedge.io/api/v2/metrics/rainbow/very_undervalued?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1798416000000,
    163622.7721603516
  ],
  [
    1798502400000,
    163780.3189371845
  ],
  [
    1798588800000,
    163937.9938707991
  ]
]
Metric

Extremely Undervalued

Data used by the Bitcoin Rainbow Chart chart.

Endpoint
https://newhedge.io/api/v2/metrics/rainbow/extremely_undervalued?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1798416000000,
    122713.6025295474
  ],
  [
    1798502400000,
    122831.6512054955
  ],
  [
    1798588800000,
    122949.7957384423
  ]
]
Metric

Overvalued

Data used by the Bitcoin Rainbow Chart chart.

Endpoint
https://newhedge.io/api/v2/metrics/rainbow/overvalued?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1798416000000,
    780611.8501241478
  ],
  [
    1798502400000,
    781368.417384961
  ],
  [
    1798588800000,
    782125.6069361892
  ]
]
Metric

Hodl

Data used by the Bitcoin Rainbow Chart chart.

Endpoint
https://newhedge.io/api/v2/metrics/rainbow/hodl?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1798416000000,
    422473.078441167
  ],
  [
    1798502400000,
    422882.0321846746
  ],
  [
    1798588800000,
    423291.3213052017
  ]
]
Metric

Slightly Overvalued

Data used by the Bitcoin Rainbow Chart chart.

Endpoint
https://newhedge.io/api/v2/metrics/rainbow/slightly_overvalued?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1798416000000,
    582199.5042579572
  ],
  [
    1798502400000,
    582763.6959682275
  ],
  [
    1798588800000,
    583328.3512988499
  ]
]
Metric

Extremely Overvalued

Data used by the Bitcoin Rainbow Chart chart.

Endpoint
https://newhedge.io/api/v2/metrics/rainbow/extremely_overvalued?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1798416000000,
    1448097.697015404
  ],
  [
    1798502400000,
    1449504.570300742
  ],
  [
    1798588800000,
    1450912.60554866
  ]
]
Metric

Very Overvalued

Data used by the Bitcoin Rainbow Chart chart.

Endpoint
https://newhedge.io/api/v2/metrics/rainbow/very_overvalued?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1798416000000,
    1063125.728916506
  ],
  [
    1798502400000,
    1064157.353328862
  ],
  [
    1798588800000,
    1065189.828031394
  ]
]
Metric

Slightly Undervalued

Data used by the Bitcoin Rainbow Chart chart.

Endpoint
https://newhedge.io/api/v2/metrics/rainbow/slightly_undervalued?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1798416000000,
    306170.4225598514
  ],
  [
    1798502400000,
    306466.0181237976
  ],
  [
    1798588800000,
    306761.8552345671
  ]
]